{ lib, config, pkgs, ... }:

with lib;
let
  cfg = config.modules.desktop.rofi;
in {
  options.modules.desktop.rofi = {
    enable = mkEnableOption "Enable rofi, a window switcher, run dialog and dmenu replacement";
    package = mkOption {
      type = types.package;
      default = pkgs.rofi-wayland-unwrapped;
      example = "pkgs.rofi";
    };
  };

  config = mkIf cfg.enable {
    hm.programs.rofi = {
      enable = true;
      package = cfg.package;

      font = with config.modules.desktop.fonts.fonts.monospace; "${family} ${toString size}px";
      extraConfig = {
        show-icons = true;
      };
    };
  };
}
